Bug 1305134 - Review Request: perl-Data-Page-Pageset - Change long page list to be shorter and well navigate
Review Request: perl-Data-Page-Pageset - Change long page list to be shorter...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Denis Fateyev
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1304825
  Show dependency treegraph
 
Reported: 2016-02-05 13:35 EST by Ralf Corsepius
Modified: 2016-02-15 22:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-15 22:00:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
denis: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2016-02-05 13:35:09 EST
Spec URL: https://corsepiu.fedorapeople.org/packages/perl-Data-Page-Pageset.spec
SRPM URL: https://corsepiu.fedorapeople.org/packages/perl-Data-Page-Pageset-1.02-1.fc24.src.rpm
Description: 
Pages number can be very high, and it is not comfortable to show user from
the first page to the last page list. Sometimes we need split the page list
into some sets to shorten the page list.

Fedora Account System Username: corsepiu
Comment 1 Upstream Release Monitoring 2016-02-09 07:40:09 EST
dfateyev's scratch build of perl-Data-Page-Pageset-1.02-1.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12915611
Comment 2 Denis Fateyev 2016-02-09 09:46:44 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 8 files have unknown license. Detailed
     output of licensecheck in /home/mock/sandbox/review/1305134-perl-Data-
     Page-Pageset/licensecheck.txt
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/perl5/vendor_perl/Data(perl-Data-OptList)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[!]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: perl-Data-Page-Pageset-1.02-1.fc23.noarch.rpm
          perl-Data-Page-Pageset-1.02-1.fc23.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


Requires
--------
perl-Data-Page-Pageset (rpmlib, GLIBC filtered):
    perl(:MODULE_COMPAT_5.22.1)
    perl(Carp)
    perl(Class::Accessor::Fast)
    perl(Data::Page)
    perl(Data::Page::Pageset::Chunk)
    perl(POSIX)
    perl(base)
    perl(overload)
    perl(strict)


Provides
--------
perl-Data-Page-Pageset:
    perl(Data::Page::Pageset)
    perl(Data::Page::Pageset::Chunk)
    perl-Data-Page-Pageset


Source checksums
----------------
http://www.cpan.org/authors/id/C/CH/CHUNZI/Data-Page-Pageset-1.02.tar.gz :
  CHECKSUM(SHA256) this package     : ceac1bb5543e23dab2519513c626e3ffe65a177b8e1ed9e56a030d4551d45190
  CHECKSUM(SHA256) upstream package : ceac1bb5543e23dab2519513c626e3ffe65a177b8e1ed9e56a030d4551d45190


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1305134
Buildroot used: fedora-23-x86_64
Active plugins: Generic, Shell-api, Perl
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Remarks:
--------
1) Please add missing BRs:
 - perl
 - perl(warnings) ##  used by Build.PL:2, t/01.main.t:4
 - perl(Data::Dumper) ## used by t/01.main.t:9
2) Data::Page should be versioned BRs as pointed in Build.PL. Please add (>= 2.0) and filter autogenerated BRs.
Comment 4 Upstream Release Monitoring 2016-02-15 05:34:07 EST
dfateyev's scratch build of perl-Data-Page-Pageset-1.02-2.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12991489
Comment 5 Denis Fateyev 2016-02-15 05:46:06 EST
You could move "Data::Dumper" BR to the block where Test::More located, since it's used during testing only (a pure cosmetic change).
Otherwise the package is APPROVED.
Comment 6 Gwyn Ciesla 2016-02-15 13:00:02 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-Data-Page-Pageset

Note You need to log in before you can comment on or make changes to this bug.